org.eclipse.jdt.core.util

## Interface IProvidesInfo

    public interface IProvidesInfo

Description of a provides info as described in JVMS9 4.7.25.

Since:
  3.14
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`int[]` `getImplementationIndices()` Answer back the array of implementation indices.
`char[][]` `getImplementationNames()` Answer back the array of implementation names.
`int` `getImplementationsCount()` Answer back the number of implementations.
`int` `getIndex()` Answer back the provides index.
`char[]` `getServiceName()` Answer back the service class/interface

### Method Detail

#### getIndex

    int getIndex()

Answer back the provides index.

Returns:
  the provides index

#### getServiceName

    char[] getServiceName()

Answer back the service class/interface

Returns:
  the service class/interface

#### getImplementationsCount

    int getImplementationsCount()

Answer back the number of implementations.

Returns:
  the number of implementations.

#### getImplementationIndices

    int[] getImplementationIndices()

Answer back the array of implementation indices.

Returns:
  the array of implementation indices.

#### getImplementationNames

    char[][] getImplementationNames()

Answer back the array of implementation names.

Returns:
  the array of implementation names.